Debian Bug report logs - #563600
liblockdev1-dbg doesn't install cleanly

version graph

Package: liblockdev1-dbg; Maintainer for liblockdev1-dbg is Paweł Więcek <coven@debian.org>; Source for liblockdev1-dbg is src:lockdev.

Reported by: Joseph Nahmias <joe@nahmias.net>

Date: Sun, 3 Jan 2010 23:42:01 UTC

Severity: serious

Tags: patch

Merged with 563782, 564077

Found in version lockdev/1.0.3-1.3

Fixed in version lockdev/1.0.3-1.4

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, joe@nahmias.net, Paweł Więcek <coven@debian.org>:
Bug#563600; Package liblockdev1-dbg. (Sun, 03 Jan 2010 23:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joseph Nahmias <joe@nahmias.net>:
New Bug report received and forwarded. Copy sent to joe@nahmias.net, Paweł Więcek <coven@debian.org>. (Sun, 03 Jan 2010 23:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joseph Nahmias <joe@nahmias.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liblockdev1-dbg doesn't install cleanly
Date: Sun, 03 Jan 2010 18:39:50 -0500
Package: liblockdev1-dbg
Version: 1.0.3-1.2+b1
Severity: serious

Hello,

It looks like liblockdev1-dbg has a file conflict with liblockdev1:

(Reading database ... 338401 files and directories currently installed.)
Preparing to replace liblockdev1-dbg 1.0.3-1.2+b1 (using .../liblockdev1-dbg_1.0.3-1.3_i386.deb) ...
Unpacking replacement liblockdev1-dbg ...
dpkg: error processing /var/cache/apt/archives/liblockdev1-dbg_1.0.3-1.3_i386.deb (--unpack):
 trying to overwrite '/usr/share/doc/liblockdev1/copyright', which is also in package liblockdev1 0:1.0.3-1.3
Errors were encountered while processing:
 /var/cache/apt/archives/liblockdev1-dbg_1.0.3-1.3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liblockdev1-dbg depends on:
ii  liblockdev1                   1.0.3-1.3  Run-time shared library for lockin
ii  liblockdev1-dev               1.0.3-1.3  Development library for locking de

liblockdev1-dbg recommends no packages.

liblockdev1-dbg suggests no packages.

-- no debconf information




Merged 563600 563782. Request was from Paweł Więcek <coven@debian.org> to control@bugs.debian.org. (Tue, 05 Jan 2010 19:27:03 GMT) Full text and rfc822 format available.

Merged 563600 563782. Request was from Paweł Więcek <coven@debian.org> to control@bugs.debian.org. (Tue, 05 Jan 2010 19:33:04 GMT) Full text and rfc822 format available.

Merged 563600 563782 564077. Request was from Paweł Więcek <coven@debian.org> to control@bugs.debian.org. (Thu, 07 Jan 2010 20:33:03 GMT) Full text and rfc822 format available.

Merged 563600 563782 564077. Request was from Paweł Więcek <coven@debian.org> to control@bugs.debian.org. (Fri, 08 Jan 2010 08:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Paweł Więcek <coven@debian.org>:
Bug#563600; Package liblockdev1-dbg. (Sat, 23 Jan 2010 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Paweł Więcek <coven@debian.org>. (Sat, 23 Jan 2010 05:09:03 GMT) Full text and rfc822 format available.

Message #18 received at 563600@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 563600@bugs.debian.org
Subject: Re: liblockdev1-dbg doesn't install cleanly
Date: Sat, 23 Jan 2010 14:07:22 +0900
[Message part 1 (text/plain, inline)]
tags 563600 patch
thanks

I made the patch which revised this problem.
And I checked build and the installation of the package.
I dont have any problem.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[lockdev.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Sat, 23 Jan 2010 05:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Paweł Więcek <coven@debian.org>:
Bug#563600; Package liblockdev1-dbg. (Fri, 19 Feb 2010 19:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Paweł Więcek <coven@debian.org>. (Fri, 19 Feb 2010 19:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 563600@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 563600@bugs.debian.org
Subject: lockdev: diff for NMU version 1.0.3-1.4
Date: Fri, 19 Feb 2010 19:21:20 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've prepared an NMU for lockdev (versioned as 1.0.3-1.4) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

I've tested the resulting binaries against lintian and piuparts and
took the freedom to adress the Source-Version warning as well, hope
you don't mind.

Regards.

	Christoph

-- 
/"\  ASCII Ribbon : GPG-Key ID: 0xD49AE731
\ /    Campaign   : CaCert Assurer
 X   against HTML : Debian Maintainer
/ \   in eMails   : http://www.debian.org/

http://www.christoph-egger.org/
[lockdev-1.0.3-1.4-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Sun, 21 Feb 2010 19:48:07 GMT) Full text and rfc822 format available.

Notification sent to Joseph Nahmias <joe@nahmias.net>:
Bug acknowledged by developer. (Sun, 21 Feb 2010 19:48:08 GMT) Full text and rfc822 format available.

Message #30 received at 563600-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 563600-close@bugs.debian.org
Subject: Bug#563600: fixed in lockdev 1.0.3-1.4
Date: Sun, 21 Feb 2010 19:47:11 +0000
Source: lockdev
Source-Version: 1.0.3-1.4

We believe that the bug you reported is fixed in the latest version of
lockdev, which is due to be installed in the Debian FTP archive:

liblockdev1-dbg_1.0.3-1.4_i386.deb
  to main/l/lockdev/liblockdev1-dbg_1.0.3-1.4_i386.deb
liblockdev1-dev_1.0.3-1.4_i386.deb
  to main/l/lockdev/liblockdev1-dev_1.0.3-1.4_i386.deb
liblockdev1-perl_1.0.3-1.4_i386.deb
  to main/l/lockdev/liblockdev1-perl_1.0.3-1.4_i386.deb
liblockdev1_1.0.3-1.4_i386.deb
  to main/l/lockdev/liblockdev1_1.0.3-1.4_i386.deb
lockdev_1.0.3-1.4.diff.gz
  to main/l/lockdev/lockdev_1.0.3-1.4.diff.gz
lockdev_1.0.3-1.4.dsc
  to main/l/lockdev/lockdev_1.0.3-1.4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563600@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated lockdev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 19 Feb 2010 19:10:38 +0100
Source: lockdev
Binary: liblockdev1 liblockdev1-dev liblockdev1-dbg liblockdev1-perl
Architecture: source i386
Version: 1.0.3-1.4
Distribution: unstable
Urgency: low
Maintainer: Paweł Więcek <coven@debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 liblockdev1 - Run-time shared library for locking devices
 liblockdev1-dbg - Debugging library for locking devices
 liblockdev1-dev - Development library for locking devices
 liblockdev1-perl - perl extension library for locking devices
Closes: 563600
Changes: 
 lockdev (1.0.3-1.4) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Don't install copyright in both liblockdev1 and liblockdev1-dbg as
     they share the same folde rin /usr/share/doc via symlink (Closes:
     #563600)
   * Use binary:Version instead of Source-Version
Checksums-Sha1: 
 cdf273184a4d67ced0d0c990a56f292c2e58c863 1709 lockdev_1.0.3-1.4.dsc
 f48025880bb761e1f58fc80b82b4e5e9d19a103d 7874 lockdev_1.0.3-1.4.diff.gz
 ef7158bdf9db1ed74d7713062d9960344e47c630 13322 liblockdev1_1.0.3-1.4_i386.deb
 0cffc510a153d826b73010520b14bece58de6b3a 8190 liblockdev1-dev_1.0.3-1.4_i386.deb
 12a0205363228698e7251b2e08680058beb1a760 16080 liblockdev1-dbg_1.0.3-1.4_i386.deb
 c3199662c6dc2f7bd73963dc212fb8aa434bfb18 21646 liblockdev1-perl_1.0.3-1.4_i386.deb
Checksums-Sha256: 
 a031a5f66964321dfc273177af3404ce7963b165cc27fa11562d6d4d47212090 1709 lockdev_1.0.3-1.4.dsc
 02fdac4a7417aeef8c72145e5821abcb9739ffc02edda1516372c3ddd15ceb3d 7874 lockdev_1.0.3-1.4.diff.gz
 960fd49c41833d84b0d7372060c716e2f2dba9969d41edd7d51808fbeed2d943 13322 liblockdev1_1.0.3-1.4_i386.deb
 b52d50b33710e71ed7811343a7ecfe11931e14ae5fdce5a0b3aabe450a4fa32a 8190 liblockdev1-dev_1.0.3-1.4_i386.deb
 695fb35956bf4b77c3dbcb89171d2bf85b62ec4f129fe60ef6c7793279700ca3 16080 liblockdev1-dbg_1.0.3-1.4_i386.deb
 5edeefeb1941b896116858ab9fc6330ba7d2eccf2ea92fad552a0681ea4b38e1 21646 liblockdev1-perl_1.0.3-1.4_i386.deb
Files: 
 37c2bc94d5ca78b5f126234387b0c151 1709 libs optional lockdev_1.0.3-1.4.dsc
 a4f058e6274017bdc592297e9ba960ec 7874 libs optional lockdev_1.0.3-1.4.diff.gz
 f0aea71b145ba927e58b36375f7b3e98 13322 libs optional liblockdev1_1.0.3-1.4_i386.deb
 4b47401d5563c01b6237a467af3755a3 8190 libdevel optional liblockdev1-dev_1.0.3-1.4_i386.deb
 f6cbdec582eeb02bf1c6af907ec8ba25 16080 debug extra liblockdev1-dbg_1.0.3-1.4_i386.deb
 c3111fdea749a734daa5533c87b9963a 21646 perl optional liblockdev1-perl_1.0.3-1.4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJLfta4AAoJEKv/7bJACMb521kP/38+06MZNcg3XOkphDzjRcrp
IYMZQD7OQgbZPEYKCa66amMu/Emn6hpap2COkowYHaJCsazfWjbQDkqgL2NGT872
O0aBpl7UZpRGt8uT/vt9bltWBhjyw/xPSj7XvpyRGlYKzSzxJXxqMYiQm246ebOV
Mz7/mo1JNFZ8tK0RTlrvi2Rg9LY1kd6OmKC0yFUpfffMvZxoh4hL2TlPsLVtvY1O
UZocPyUFhdPxmeQoFyEhxhXonKvYpxyJLLoScL05cyeGVVLIPCqkvUW2KdYL3+KN
FKcoIY7EOXjcwfZRTb3DKLKbtYG8usEAz8EQappSmixonklflE6CoaKj1IjQULj0
32SV33pfy3XK71ArF+p+R348ZFgOorMIIynValRyX4Sl1ghHqINk4vb4bEbbYVQ0
5MtZmCNbITnofTMWQa6EG67+ODE9hqjN3XTXbA5llH6Auf1eonFAAvzinB9ILBI2
IbZUgHtlarb4NBiWYL5nBDpYcVDshlF3ScylIillXXB2wOfwEhROxJy0UYnevAKx
c6T5s37j0PO05M7PP0HfdCIZgLuRiaXzQZjsONg38sU7DxnG/xJNVoYbtqcrbBEU
4+EqonYGeqguZL5gJDncUdAPVs9hVrX8DCjAHdM/qkhAG5k1282M1p+5Q1vpb0fn
JYlitfR+wvnhwx6NJPDQ
=7Tin
-----END PGP SIGNATURE-----





Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Sun, 21 Feb 2010 19:48:08 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sun, 21 Feb 2010 19:48:08 GMT) Full text and rfc822 format available.

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Sun, 21 Feb 2010 19:48:10 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sun, 21 Feb 2010 19:48:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions lockdev/1.0.3-1.2. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 09 Mar 2010 15:51:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Apr 2010 07:30:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:40:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.